> For the complete documentation index, see [llms.txt](https://docs.ionos.com/terraform-provider/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/terraform-provider/resources/s3_bucket_server_side_encryption_configuration.md).

# ionoscloud\_s3\_bucket\_server\_side\_encryption\_configuration

Manages Server Side Encryption Configuration for Buckets on IONOS CLOUD.

## Example Usage

```hcl
resource "ionoscloud_s3_bucket" "example" {
  name = "example"
}

resource "ionoscloud_s3_bucket_server_side_encryption_configuration" "example" {
  bucket = ionoscloud_s3_bucket.example.name
  rule {
    apply_server_side_encryption_by_default {
      sse_algorithm = "AES256"
    }
  }
}
```

## Argument Reference

The following arguments are supported:

* `bucket` - (Required)\[string] The name of the bucket where the object will be stored.
* `rule` - (Required)\[block] A block of rule as defined below.
  * `apply_server_side_encryption_by_default` - (Required)\[block] Defines the default encryption settings.
    * `sse_algorithm` - (Required)\[string] Server-side encryption algorithm to use. Valid values are 'AES256'

## Import

IONOS Object Storage Bucket server side encryption configuration can be imported using the `bucket` name.

```shell
terraform import ionoscloud_s3_bucket_server_side_encryption_configuration.example example
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/resources/s3_bucket_server_side_encryption_configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
